#
# Test API implementations.
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

parameters:
  amazon.spapi.notifications.api.test.default: false
  amazon.spapi.notifications.api.test: "%env(default:amazon.spapi.notifications.api.test.default:bool:AMAZON_SPAPI_NOTIFICATIONS_TEST_API_ENABLED)%"

services:
  _defaults:
    autowire: true
    autoconfigure: true

  XC\AmazonSPAPI\Core\Data\Provider\TestNotificationProvider:
    decorates: XC\AmazonSPAPI\Core\Data\Provider\ANotificationProvider
    arguments:
      $provider: '@.inner'
      $isEnabled: '@=parameter("amazon.spapi.notifications.api.test") ? true : false'
